commit:     8cb319f9a5845c6c0068da9cf8c98f67b8fdc01a
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  9 22:28:14 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Feb  9 22:47:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8cb319f9

dev-ml/uuidm: new package (dev-ml/alcotest dep)

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-ml/uuidm/Manifest           |  1 +
 dev-ml/uuidm/metadata.xml       | 11 +++++++++++
 dev-ml/uuidm/uuidm-0.9.7.ebuild | 25 +++++++++++++++++++++++++
 3 files changed, 37 insertions(+)

diff --git a/dev-ml/uuidm/Manifest b/dev-ml/uuidm/Manifest
new file mode 100644
index 00000000000..135e673ee5b
--- /dev/null
+++ b/dev-ml/uuidm/Manifest
@@ -0,0 +1 @@
+DIST uuidm-0.9.7.tar.gz 9258 BLAKE2B 
37867ee562fcf5c44e0f40df53707a5066d74c185037049b4b4034326e1efa93543d518f6c9d5d27e9663f18d824f951d27952c844e1169d951abb7b91caeebb
 SHA512 
7048e467bbd9eefd19ca057caadcc8f634d4eae7642665a84df88f726df3fb849085613d75a485272b0d0e19c9041c560a8c864e780dbed29ff68e3cfa8ba3d4

diff --git a/dev-ml/uuidm/metadata.xml b/dev-ml/uuidm/metadata.xml
new file mode 100644
index 00000000000..01e057cc597
--- /dev/null
+++ b/dev-ml/uuidm/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>ML</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">dbuenzli/uuidm</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/dev-ml/uuidm/uuidm-0.9.7.ebuild b/dev-ml/uuidm/uuidm-0.9.7.ebuild
new file mode 100644
index 00000000000..867adf73217
--- /dev/null
+++ b/dev-ml/uuidm/uuidm-0.9.7.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit opam
+
+DESCRIPTION="Universally unique identifiers (UUIDs) for OCaml"
+HOMEPAGE="https://github.com/dbuenzli/uuidm";
+SRC_URI="https://github.com/dbuenzli/uuidm/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="+ocamlopt"
+
+BDEPEND="
+       dev-ml/findlib[ocamlopt=]
+       dev-ml/ocamlbuild[ocamlopt=]
+       dev-ml/topkg
+"
+
+src_compile() {
+       ocaml pkg/pkg.ml build || die
+}

Reply via email to